@import "../../node_modules/compass-mixins/lib/compass";

:host {
    background-color: white;
    display: block;
    margin: auto;
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 1000px;
    max-height: 600px;
    box-sizing: content-box;
    box-shadow: 0 0 3px 2px rgba(#221D1F, 0.4);

    * {
        box-sizing: border-box;
    }
}

div.course-container {
    display: block;
    position: relative;
    height: 100%;

    header, footer {
        position: absolute;
        left: 0;
        z-index: 999;
        pointer-events: none;
        * {
            pointer-events: auto;
        }
    }

    header {
        top: 0;
        width: 100%;
        height: 111px;

        .logo {
            position: absolute;
            top: 0;
            left: 0;
        }

        .bar {
            height: 52px;
            background-color: #D68933;
            border-bottom: 5px solid #221D1F;
            display: flex;
            justify-content: center;
            align-items: center;
            padding-left: 200px;
            padding-right: 15px;
        }

        &:after {
            content: '';
            position: absolute;
            left: 0;
            bottom: 0;
            width: 0;
            height: 0px;
            border-top: 0 solid transparent;
            border-bottom: 30px solid transparent;
            border-left: 30px solid #D68933;
        }

        .course-title {
            flex: 1 1;
            text-align: center;
            font-size: 1rem;
            color: #ffffff;
            margin-bottom: 0;
        }

        .progress {
            font-size: 0.75rem;
            color: #221D1F;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-right: 50px;

            .text {
                margin-right: 5px;
            }

            &-bar {
                height: 5px;
                width: 135px;
                background-color: #ffffff;
                position: relative;
            }

            .percent {
                width: 50%;
                height: 100%;
                position: absolute;
                top: 0;
                left: 0;
                background-color: #221D1F;
            }
        }

        .menu-button {
            cursor: pointer;
            border: 0;
            outline: 0;
            width: 38px;
            height: 38px;
            background: {
                color: #221D1F;
                image: url(../assets/images/ico-menu.png);
                repeat: no-repeat;
                position: center;
            };
            transition: transform .2s linear;

            &:hover {
                transform: scale(1.05);
                transition: transform .2s linear;
            }
        }
    }

    section {
        width: 100%;
        height: 100%;
    }

    footer {
        bottom: 0;
        width: 100%;
        height: 105px;
        display: flex;
        align-items: flex-end;
        background: {
            image: url(../assets/images/footer-detail.png);
            repeat: no-repeat;
            position: center;
        };

        .bar {
            height: 40px;
            width: 100%;
            padding: 0 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: #D68933;
        }

        .screen-counter {
            flex: 1 1;
            width: 208px;
            height: 53px;
            margin-top: -12px;
            margin-bottom: 0;
            font-size: 0.875rem;
            line-height: 0.875rem;
            color: #ffffff;
            display: flex;
            justify-content: center;
            align-items: center;
            background: {
                image: url(../assets/images/screen-detail.png);
                repeat: no-repeat;
                position: center;
            };

            span {
                height: 25px;
                display: flex;
                align-items: center;
            }

            .current {
                margin: 0 5px;
                padding-right: 5px;
                border-right: 3px solid #F1C930;
            }
        }

        .orientation-message {
            font-size: 0.75rem;
            width: 270px;
            position: absolute;
            left: 125px;
            bottom: 8px;
            text-align: center;
            color: #ffffff;
            margin-bottom: 0;
        }

        button {
            cursor: pointer;
            border: 0;
            outline: 0;
            width: 38px;
            height: 38px;
            margin-top: -20px;
            background-color: #221D1F;
            transition: transform .2s linear;
            background: {
                repeat: no-repeat;
                position: center;
            };

            &:hover {
                transform: scale(1.05);
                transition: transform .2s linear;
            }

            &:disabled {
                cursor: default;
            }
        }

        .prev-button, .next-button {
            background-color: transparent;
        }

        .prev-button {
            margin-right: 15px;
            background-image: url(../assets/images/ico-prev.png);
        }

        .next-button {
            margin-left: 15px;
            background-image: url(../assets/images/ico-next.png);
        }

        .tutorial-button {
            margin-right: 45px;
            background-image: url(../assets/images/ico-tutorial.png);
        }

        .audio-button {
            margin-right: 5px;
            background-image: url(../assets/images/ico-audio.png);

            &.off {
                background-image: url(../assets/images/ico-audio-off.png);
            }
        }

        .review-button {
            margin-right: 5px;
            background-image: url(../assets/images/ico-review.png);
        }
    }

    button {
        cursor: pointer;

        &.disabled {
            cursor: default;
            opacity: 0.25;
            pointer-events: none;
        }
    }

    div.background-image {
        background-position: left bottom;
        background-repeat: no-repeat;
        position: absolute;
        top: 0; right: 0; bottom: 0; left: 0;

        &.background-image-modal {
            &.white-modal {
                background-color: #FFFFFF;
                background-image: none;
            }
        }
    }

    // .layout-top-bar {
    //     top: 0;
    //     width: 100%;
    //     height: 111px;

    //     .layout-top-bar-bg {
    //         position: absolute;
    //         top: 0; right: 0; left: 0;
    //         height: 108px;

    //         background-image: url('../assets/images/layout_top_bar.png');
    //         background-position: center center;
    //         background-repeat: no-repeat;
    //         pointer-events: none;
    //     }

    //     span.layout-title {
    //         position: absolute;
    //         top: 40%; right: 371px; left: 283px;
    //         transform: translateY(-50%);

    //         color: #FFFFFF;
    //         text-align: left;
    //         text-transform: uppercase;

    //         @media (max-width: 768px) {
    //             display: none;
    //         }
    //     }

    //     span.layout-sub-title {
    //         position: absolute;
    //         top: 70%; right: 371px; left: 295px;
    //         transform: translateY(-50%);

    //         color: #FFFFFF;
    //         text-align: left;

    //         @media (max-width: 768px) {
    //             display: none;
    //         }
    //     }

    //     img.layout-menu {
    //         position: absolute;
    //         top: 44%; right: 25px;
    //         transform: translateY(-50%);

    //         cursor: pointer;

    //         &.disabled {
    //             cursor: default;
    //             opacity: 0.25;
    //             pointer-events: none;
    //         }
    //     }

    //     div.progress {
    //         position: absolute;
    //         top: 49%; right: 9%; left: 74%;
    //         transform: translateY(-50%);

    //         display: flex;
    //         flex-direction: column;

    //         div.progress-bar {
    //             background-color: #FFFFFF;
    //             flex: 1;
    //             height: 7px;
    //             padding: 2px 3px;

    //             div.progress-bar-fill {
    //                 background-color: #31D2CC;
    //                 height: 3px;
    //             }
    //         }

    //         span.progress-text {
    //             color: #FFFFFF;
    //             text-align: left;
    //         }
    //     }
    // }

    // div.layout-left-bar {
    //     position: absolute;
    //     top: 55%; left: 0;
    //     transform: translateY(-50%);

    //     display: flex;
    //     flex-direction: column-reverse;

    //     div.layout-screen-review {
    //         margin-top: -73%;
    //     }
    // }

    // div.layout-right-bar {
    //     position: absolute;
    //     top: 55%; right: 0;
    //     transform: translateY(-50%);

    //     align-items: flex-end;
    //     display: flex;
    //     flex-direction: column-reverse;

    //     div.layout-screen-audio {
    //         margin-top: -73%;
    //     }
    // }

    // div.layout-bottom-bar {
    //     position: absolute;
    //     right: 0; bottom: 0; left: 0;
    //     height: 30px;

    //     .layout-bottom-bar-bg {
    //         position: absolute;
    //         top: 0; right: 0; bottom: 0; left: 0;

    //         background-image: url('../assets/images/layout_bottom_bar.png');
    //         background-position: center center;
    //         background-repeat: no-repeat;
    //         pointer-events: none;
    //     }

    //     .layout-hint {
    //         position: absolute;
    //         right: 59%; bottom: 0; left: 0;

    //         color: #FFFFFF;
    //         text-align: center;
    //         padding: 0 5px;

    //         @media (max-width: 768px) {
    //             display: none;
    //         }
    //     }

    //     .layout-screen-counter {
    //         position: absolute;
    //         right: 408px; bottom: 3px; left: 405px;

    //         color: #FFFFFF;
    //         text-align: center;

    //         @media (max-width: 768px) {
    //             display: none;
    //         }
    //     }
    // }

    // .layout-button {
    //     cursor: pointer;

    //     &.disabled {
    //         cursor: default;
    //         opacity: 0.25;
    //         pointer-events: none;
    //     }
    // }
}
